TOUPPER(3) | Library Functions Manual | TOUPPER(3)

# NAME

`toupper` — lower case to upper case letter conversion

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <ctype.h>`

int
`toupper`(int c);

# DESCRIPTION

The `toupper`() function converts a lower-case letter to the corresponding upper-case letter.

# RETURN VALUES

If the argument is a lower-case letter, the `toupper`() function returns the corresponding upper-case letter if there is one; otherwise the argument is returned unchanged.

# SEE ALSO

ctype(3), isalnum(3), isalpha(3), isascii(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), ascii(7)

# STANDARDS

The `toupper`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

# CAVEATS

The argument to `toupper`() must be `EOF` or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.

April 17, 2008 | NetBSD 11.0